Bug 157962 - xorg-x11-6.8.1-23 missing half of Lucida fonts
xorg-x11-6.8.1-23 missing half of Lucida fonts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-17 10:25 EDT by Paul Raines
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 11:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Raines 2005-05-17 10:25:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
xview/OpenLook applications are unable to run with the X server in 6.8.1-23.EL
on RHEL4.  Whether you compile the xview package locally on the RHEL4 box
and run apps from it, or you ssh to a Solaris box and run something from
/usr/openwin/bin, one always gets:

XView warning: Cannot load font set '-b&h-lucida-medium-r-normal-sans-*-120-*-*-*-*-*-*' (Font package)
XView warning: Unable to open default font set
XView error: Cannot open connection to window server: localhost:13.0 (Server package)

If one goes to a Fedora Core 2 box with xorg-x11 6.7.0 it works fine.
I have even succeeded in downgrading a RHEL4 box to 6.7.0 and it then works.

 

Version-Release number of selected component (if applicable):
6.8.1-23.EL

How reproducible:
Always

Steps to Reproduce:
1. Sit at a RHEL4 box running X windows
2. ssh into Solaris box
3. run /usr/openwin/bin/cmdtool
  

Actual Results:  Get error:
XView warning: Cannot load font set '-b&h-lucida-medium-r-normal-sans-*-120-*-*-*-*-*-*' (Font package)
XView warning: Unable to open default font set
XView error: Cannot open connection to window server: localhost:13.0 (Server package)


Expected Results:  Application should have run normally and popped up a cmdtool window

Additional info:
Comment 1 Paul Raines 2005-05-17 11:27:01 EDT
More info:

I tried bypassing xfs on the RHEL4 box by doing a 'xset fp=' to the actual
directories rather than the font server.  This made no difference.

I then went to a FedoreCore2 box I still had running.  I modified 
/etc/init.d/xfs and /etc/X11/fs/config to have the server run on tcp port 7100.  
THen went back to the RHEL4 box and do a 'xset fp= tcp/fc2box:7100'.  No the 
xview apps run with no font errors.  Even ones compiled locally on the RHEL4 
box.

So this definitely has something to do with a change in font handling between
xorg-x11 6.7 and 6.8.  But is not xfs specific since bypassing the server to 
have the X server go direct to the directories did not help.
Comment 2 Paul Raines 2005-05-17 11:57:04 EDT
Some one at freedeskop.org is claiming this bug is a duplicate of this:

https://bugs.freedesktop.org/show_bug.cgi?id=1560

which implies that certain lucida fonts simply got left out of the 6.8 build
used by RHEL4
Comment 3 Paul Raines 2005-05-17 12:05:33 EDT
Yes, that appears to be it.

I copied the /usr/X11R6/lib/X11/fonts/{100,75}dpi/lu*-ISO* files form my FC2
box over to my RHEL4 box, ran mkfontdir in each directory and viola!  All
is fixed.
Comment 4 Mike A. Harris 2005-05-17 17:16:57 EDT
This is an upstream bug in X.Org X11 6.8.1 which is not Red Hat specific.
The Lucida fonts were inadvertently not installed by X.Org 6.8.x in stock
Xorg sources.  The bug was reported to us already, and to X.org, and has
subsequently been fixed in X.Org CVS.

We have already built new fonts-xorg rpms which include the missing fonts
which is now slated for release in RHEL4 U1:


* Mon Nov 29 2004 Mike A. Harris <mharris@redhat.com> 6.8.1.1-1
- Updated main tarball to include lucidatypewriter fonts that were missing
  from X.Org X11 6.8.1, and renamed it to 6.8.1.1 to avoid multiple tarballs
  with same version but different contents, since it was updated with the
  new fonts. (#139108, 139121, fdo#1560)


If you need rpms that fix this in the mean time, the fonts-xorg package
from Fedora development can be used if desired, as it contains the same
fix, plus a few other minor fixes.  Alternatively, I can make the pending
RHEL4 U1 rpms available to you via ftp if desired, just add a comment to
let me know if you're interested.

Thanks.
Comment 5 Paul Raines 2005-05-17 17:26:09 EDT
I got it "fixed" by copying over the missing fonts from a Fedora Core 2 box
we have. I am guessing they will just be overwritten when the update comes
through.  So I am fine now.

Thanks
Comment 6 Mike A. Harris 2005-05-17 18:14:11 EDT
Yeah, if you just copied the files themselves over, when fonts-xorg
gets updated, it'll automatically install the missing lucida fonts
over top and everything should continue to work.

Thanks for the quick reply.

Setting status to "MODIFIED" for Red Hat QA testing.
Comment 7 Tim Powers 2005-06-08 11:33:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-198.html

Note You need to log in before you can comment on or make changes to this bug.